%define section	System/File Tools	

Summary: 	Easy to use front-end for ClamAV
Name: 		clamtk
Version: 	2.14
Release: 	1.2006mcnl
License: 	Artistic
Group: 		File tools
URL: 		http://clamtk.sourceforge.net/
Packager: 	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Vendor:		Mandrivaclub.nl
Source: 	http://dl.sf.net/clamtk/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	perl-Gtk2 perl-File-Find-Rule perl-Date-Calc perl-libwww-perl
Requires: 	clamav >= 0.83 clamav-db gnomesu
BuildArch: 	noarch

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click 
virus scanner for Linux systems.

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0755 clamtk %{buildroot}%{_datadir}/%{name}/%{name}
%{__install} -Dp -m0755 clamtk.pl %{buildroot}%{_datadir}/%{name}/%{name}.pl
%{__install} -Dp -m0644 clam.xpm %{buildroot}%{_datadir}/%{name}/pixmaps/clam.xpm

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%{_datadir}/%{name}/%{name}" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="ClamTk" \
longtitle="%summary"
EOF

cat > %buildroot/%_menudir/%{name}_root << EOF
?package(%name): \
command="gnomesu %{_datadir}/%{name}/%{name}" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="ClamTk (root)" \
longtitle="%summary"
EOF



#icons

%define  nameicon clam.xpm

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES DISCLAIMER LICENSE README
%{_menudir}/clamtk*
%{_datadir}/%{name}/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Jan 21 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.14-1.2006mcnl
- 2.14

* Tue Jan 03 2006 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.13-1.2006mcnl
- 2.13

* Tue Dec 27 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.12-1.2006mcnl
- 2.12

* Tue Nov 29 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.10-1.2006mcnl
- 2.10

* Sun Nov 27 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.09-1.2006mcnl
- 2.09

* Sat Nov 12 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.08-1.2006mcnl
- 2.08

* Sun Oct 23 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 2.07-1.2006mcnl
- 2.07

* Mon Aug 22 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 2.06-1.102mcnl
- 2.06

* Mon Aug 22 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 2.05-1.102mcnl
- 2.05

* Sat Jul 16 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 2.03-1.102mcnl
- 2.03

* Mon Jul 04 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 2.02-1.102mcnl
- 2.02

* Sat Jul 02 2005 Dave M. <dave.nerd@gmail.com> - 2.02-1
- Updated to release 2.02.

* Sat Jun 25 2005 Dave M. <dave.nerd@gmail.com> - 2.01-1
- Changed dependencies to fit Fedora Extras different naming scheme.
- Updated to release 2.01.

* Sat Jun 11 2005 Dave M. <dave.nerd@gmail.com> - 2.00-1
- Updated to release 2.00.

* Wed May 18 2005 Dave M. <dave.nerd@gmail.com> - 1.99-1
- Updated to release 1.99.

* Sun May 08 2005 Dave M. <dave.nerd@gmail.com> - 1.98-1
- Updated to release 1.98.

* Thu May 05 2005 Dag Wieers <dag@wieers.com> - 1.97-1 - 3063+/dag
- Updated to release 1.97.
- Added changes from Dave M.

* Wed Mar 30 2005 Dag Wieers <dag@wieers.com> - 1.0.10-1
- Initial package. (using DAR)
